Subject: Re: [EGIT PATCH 06/11] Implement basic customizable label decorations with preferences

From: Tor Arne Vestbø <[email-masked]>
Date: Thu, 05 Feb 2009 21:21:58 +0100

Robin Rosenberg wrote:
> torsdag 05 februari 2009 02:00:13 skrev Tor Arne Vestbø:
>> Currently the only binding available is the resource name, but
>> this commit enables a framework for adding more bindings.
> 
> The size of the components of the page is wrong forcing unnecessary scrollbars.

Argh, I've been battling those layouts on Linux, but though it was
finally fixed. On Windows the dialog looks fine. I'll investigate further.

> The terms use should probably have a cleared explanation/definition 
> and the same terms used for the flags/icons. The explanation could
> probably be done using longer tooltips.

Noted.

> I miss the red attention-gathering red conflict icon we had.

Happy to replace. If I remember correctly that's the symbol used by
other plugins to indicate conflicts, so I was aiming for consistency and
recognizability.

> I also have a hard time distinguishing the staged/added/removed icons
> without reading glasses. The decorations are only 1.3 mm on my 
> screen (150 dpi), so I think the icons should have different colors
> and different shapes instead of a few different pixels withing a
> square box.>

Noted, I'll try to make some mocukups of variations to the icons.

> I'd also like to see the conflict state for files inherited by parent
> folder and projects.

Good idea, like the synchronize view shows it. Noted.

> The checkboxes in the general tab have no effect on the preview.

True. Should be easy to fix.

Thanks for the feedback!

Tor Arne